using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("跑批日志明细表")]
    public class T_FM_SYNC_LOG_DETAIL : MesEntityBase
    {
        /// <summary>
        /// 请求编码
        /// </summary>
        [DataFieldLength(50)]
        [Description("请求编码")]
        public string TRACEIDENTIFIER { get; set; }

        /// <summary>
        /// 跑批日志表主键
        /// </summary>
        [Description("跑批日志表主键")]
        public Guid SNC_LOG_ID { get; set; }

        /// <summary>
        /// 数量
        /// </summary>
        [Description("数量")]
        public int COUNT { get; set; }

        /// <summary>
        /// 日志类型
        /// </summary>
        [Description("日志类型")]
        public Enums.SyncLogType? LOGTYPE { get; set; }

        /// <summary>
        /// 备注错误日志等
        /// </summary>
        [Description("备注")]
        [DataFieldLength(300)]
        public string REMARK { get; set; }

        /// <summary>
        /// 是否成功
        /// </summary>
        [Description("是否成功")]
        public bool IS_SUCCESS { get; set; } = true;
    }
}
